GET /integrations/github/members
List the GitHub organization roster.
(Or the account itself for a personal workspace) — the universe of author_id values for /sessions and /sessions/search. Members carry their linked Slack identity when a Slack-GitHub link exists, and /slack/members carries the reverse link.
curl "https://api.ellipsis.dev/v1/integrations/github/members" \
-H "Authorization: Bearer $ELLIPSIS_API_KEY"{
"members": [
{
"avatar_url": "string",
"id": 0,
"login": "string",
"name": "string",
"role": "admin",
"slack": {
"slack_email": "string",
"slack_user_id": "string"
}
}
]
}import os
from ellipsis import Ellipsis
client = Ellipsis(api_key=os.environ["ELLIPSIS_API_TOKEN"])
result = client.integrations.github.members()
print(result){
"members": [
{
"avatar_url": "string",
"id": 0,
"login": "string",
"name": "string",
"role": "admin",
"slack": {
"slack_email": "string",
"slack_user_id": "string"
}
}
]
}import { Ellipsis } from '@ellipsis-dev/sdk';
const client = new Ellipsis({
apiKey: process.env.ELLIPSIS_API_TOKEN!,
});
const result = await client.integrations.github.members();
console.log(result);{
"members": [
{
"avatar_url": "string",
"id": 0,
"login": "string",
"name": "string",
"role": "admin",
"slack": {
"slack_email": "string",
"slack_user_id": "string"
}
}
]
}No request body.
{
"properties": {
"members": {
"items": {
"properties": {
"avatar_url": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"id": {
"type": "integer"
},
"login": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"role": {
"anyOf": [
{
"enum": [
"admin",
"member"
],
"type": "string"
},
{
"type": "null"
}
]
},
"slack": {
"anyOf": [
{
"properties": {
"slack_email": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"slack_user_id": {
"type": "string"
}
},
"required": [
"slack_user_id"
],
"type": "object"
},
{
"type": "null"
}
]
}
},
"required": [
"id"
],
"type": "object"
},
"type": "array"
}
},
"required": [
"members"
],
"type": "object"
}